<?php

declare(strict_types=1);

namespace mirzaev\vk\robots;

use mirzaev\vk\robots\robot;

use mirzaev\accounts\vk as account;

/**
 * Робот-пользователь
 *
 * @package mirzaev\vk\robots
 * @author Arsen Mirzaev Tatyano-Muradovich <red@hood.su>
 */
final class user extends robot
{
    /**
     * Инициализация аккаунта
     *
     * @param account $account Аккаунт
     *
     * @return self
     */
    public function account(account $account): self
    {
        parent::account($account);

        $this->key = $account->key;

        return $this;
    }
}
